package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkMarketingFullrangeAddexchangeitemRequest struct {
	/*
	   系统自动生成     */
	Param0 *domain.AlibabaWdkMarketingFullrangeAddexchangeitemItemStairSku `json:"param0,omitempty" required:"false" `
	/*
	   系统自动生成     */
	Param1 *domain.AlibabaWdkMarketingFullrangeAddexchangeitemCommonActivityParam `json:"param1,omitempty" required:"false" `
}

func (s *AlibabaWdkMarketingFullrangeAddexchangeitemRequest) SetParam0(v domain.AlibabaWdkMarketingFullrangeAddexchangeitemItemStairSku) *AlibabaWdkMarketingFullrangeAddexchangeitemRequest {
	s.Param0 = &v
	return s
}
func (s *AlibabaWdkMarketingFullrangeAddexchangeitemRequest) SetParam1(v domain.AlibabaWdkMarketingFullrangeAddexchangeitemCommonActivityParam) *AlibabaWdkMarketingFullrangeAddexchangeitemRequest {
	s.Param1 = &v
	return s
}

func (req *AlibabaWdkMarketingFullrangeAddexchangeitemRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param0 != nil {
		paramMap["param0"] = util.ConvertStruct(*req.Param0)
	}
	if req.Param1 != nil {
		paramMap["param1"] = util.ConvertStruct(*req.Param1)
	}
	return paramMap
}

func (req *AlibabaWdkMarketingFullrangeAddexchangeitemRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
